Bug 211915 - cups cannot print files > 2GB
cups cannot print files > 2GB
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cups (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-23 16:30 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0225
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 18:50:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cups-lfs.patch (26.80 KB, patch)
2006-11-22 08:55 EST, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tom "spot" Callaway 2006-10-23 16:30:48 EDT
Reported via HP:

Description of problem:

cups in RHEL 4 (1.1.22) cannot print files larger than 2 GB. This functionality
is available in the 1.2 release of cups, can it be backported to the 1.1.22 (or
can 1.1.22 be fixed to enable printing of larger files)?
Comment 1 Tim Waugh 2006-10-24 06:32:06 EDT
Original change request was here:

  http://cups.org/str.php?L541

There is a (slightly incomplete) patch there, and a date when the real fix went
into the subversion repository, so it shouldn't be too hard to track down.
Comment 3 RHEL Product and Program Management 2006-10-24 06:43:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Tim Waugh 2006-11-22 08:55:56 EST
Created attachment 141902 [details]
cups-lfs.patch

Here is the back-ported patch for reference.
Comment 12 Red Hat Bugzilla 2007-05-01 18:50:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0225.html

Note You need to log in before you can comment on or make changes to this bug.